import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _MTRPushAVStreamTransportClusterContainerOptionsStruct } from "./MTRPushAVStreamTransportClusterContainerOptionsStruct.js";
import type { _MTRPushAVStreamTransportClusterTransportTriggerOptionsStruct } from "./MTRPushAVStreamTransportClusterTransportTriggerOptionsStruct.js";
export declare class _MTRPushAVStreamTransportClusterTransportOptionsStruct extends _NSObject {
    static alloc(): _MTRPushAVStreamTransportClusterTransportOptionsStruct;
    static new(): _MTRPushAVStreamTransportClusterTransportOptionsStruct;
    init(): _MTRPushAVStreamTransportClusterTransportOptionsStruct;
    streamUsage(): _NSNumber;
    setStreamUsage$(value: _NSNumber): void;
    videoStreamID(): _NSNumber | null;
    setVideoStreamID$(value: _NSNumber | null): void;
    audioStreamID(): _NSNumber | null;
    setAudioStreamID$(value: _NSNumber | null): void;
    tlsEndpointID(): _NSNumber;
    setTlsEndpointID$(value: _NSNumber): void;
    url(): _NSString;
    setUrl$(value: _NSString): void;
    triggerOptions(): _MTRPushAVStreamTransportClusterTransportTriggerOptionsStruct;
    setTriggerOptions$(value: _MTRPushAVStreamTransportClusterTransportTriggerOptionsStruct): void;
    ingestMethod(): _NSNumber;
    setIngestMethod$(value: _NSNumber): void;
    containerOptions(): _MTRPushAVStreamTransportClusterContainerOptionsStruct;
    setContainerOptions$(value: _MTRPushAVStreamTransportClusterContainerOptionsStruct): void;
    expiryTime(): _NSNumber | null;
    setExpiryTime$(value: _NSNumber | null): void;
}
export interface _MTRPushAVStreamTransportClusterTransportOptionsStruct extends _NSCopying {
}
